ref_num = 3;

%%%% Limpando os eixos %%%%

axes(h_ax_up);
cla;
axes(h_ax);
cla;
axes(h_ax_3d);
cla;
%%%%%%%%%%%%%%%%%%%%%

%%% Colentando um refletor %%

%models = cell(1,cut_num);

ylim = get(h_ax_up,'XLim');

d= 300;

models{1} = coleta_nspl(d,h_ax,ylim(1),1); % primeiro corte

but=1;
i=2;
while(but==1)
	axes(h_ax_up);
	[x,y,but] = ginput(1);
	if(but==2) % modelo 2.5 D
		%models{i} = shift_model_to(models{1},ylim(2));
		%disp(['botao 2']);
		%break;
	end;
	if(but==3)
		models{i}= coleta_nspl(d,h_ax,ylim(2),i); % ultimo corte
		break;
	end;
	if(but==1)
		axes(h_ax_up);
		yy_nominal = get(gca,'Ylim');
		aux = plot([x x],yy_nominal);
		set(aux,'Color',[1/i 1/(3*i) 1/(2*i)]); %ajuste de cores ...
		models{i}=coleta_nspl(d,h_ax,x,i); % mais um corte
		i=i+1;
	end;
end;


[Mx,yy,zz]=coleta(models,1,h_ax_3d,d);
axes(h_ax_3d);
mesh(Mx(1,:),yy,zz);

rotate3d;
hold on;

ref_num = str2num(get(h_edit_ref,'String'));

r.xx = Mx(1,:);
r.yy = yy;
r.zz = zz;


[models,reflectors] = more_interf(models,h_ax,h_ax_3d,ref_num,r,d);


%i = 1;
%axes(h_ax_up);
%but = 1;
%while(but==1)
%	[x y but] = ginput(1);
%	aux = get(h_ax_up,'Ylim');
%	plot([x x];aux);
%	i = i+1;
%	models{i} = coleta_nspl(1,80,h_ax);
%end;



% Coletando refletores
%model = coleta_nspl(str2num(get(h_edit_ref,'String')),80,h_ax);

% Habilitando "Modelo de Velocidades"
%set(h_but_vel_mod,'Enable','on');

% Desabilitando "Desenhando"
%set(h_pop_interf,'String','2','Enable','off');
%set(h_pop_opcao,'Enable','off');
%set(h_but_plot,'Enable','off');
%elem_rai = [];
%elem_ondas = [];

% Desabilitando "Disparar"
%set(h_but_tiro,'Enable','off');

